REST Documentation

View InboundXML Docs

List Incoming Numbers

To view a list of all incoming phone number resources associated with a given account, the URI below is provided.

Request URI

A list of IncomingPhoneNumber resources can be requested using the HTTP GET method. The format of the URI used to make the GET request is below.

GET https://api.telapi.com/v1/Accounts/{AccountSid}/IncomingPhoneNumbers

Parameters

The following case-sensitive parameters can be used to specify what will be returned in your list request.

Parameter Description
optional
Specifies which IncomingPhoneNumber resources should be returned in the list request.
optional
Specifies that only IncomingPhoneNumber resources matching the input FriendlyName should be returned in the list request.
optional
Used to return a particular page within the list.
Allowed Value:
integer greater than 0
optional
Used to specify the amount of list items to return per page.
Allowed Value:
integer greater than 0

Example Response

An example of what a request to list all IncomingPhoneNumber resources may look like is below.



Helper Example

Our helper libraries simplify the task of making REST API calls while programming. The code below will perform a request to TelAPI.